{
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "首页",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/index/eye-examine-index",
      "style": {
        "navigationBarTitleText": "体检",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/student-list",
      "style": {
        "navigationBarTitleText": "学生列表",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/vision-input",
      "style": {
        "navigationBarTitleText": "视力录入",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/add-student",
      "style": {
        "navigationBarTitleText": "新增学生",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/select-input-type",
      "style": {
        "navigationBarTitleText": "选择录入类型",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/index/vision-detail",
      "style": {
        "navigationBarTitleText": "视力数据详情",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    }
  ],
  "subPackages": [
    {
      "root": "modules/common",
      "pages": [
        {
          "path": "detail",
          "style": {
            "navigationBarTitleText": "详情",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "student-prosthetics/index",
          "style": {
            "navigationBarTitleText": "休复学申请"
          }
        },
        {
          "path": "student-prosthetics/certificate",
          "style": {
            "navigationBarTitleText": "休学存证"
          }
        },
        {
          "path": "student-prosthetics/approval-progress",
          "style": {
            "navigationBarTitleText": "审批进度"
          }
        }
      ]
    },
    {
      "root": "modules/index",
      "pages": [
        {
          "path": "detail",
          "style": {
            "navigationBarTitleText": "详情",
            "enablePullDownRefresh": false
          }
        }
      ]
    },
    {
      "root": "modules/my",
      "pages": [
        {
          "path": "userInfo",
          "style": {
            "navigationBarTitleText": "用户资料",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "version",
          "style": {
            "navigationBarTitleText": "版本记录",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "feedback",
          "style": {
            "navigationBarTitleText": "意见反馈",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "address/list",
          "style": {
            "navigationBarTitleText": "地址管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "address/add",
          "style": {
            "navigationBarTitleText": "地址管理",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "notice",
          "style": {
            "navigationBarTitleText": "我的消息",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "about/policy",
          "style": {
            "navigationBarTitleText": "隐私政策",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "about/agreement",
          "style": {
            "navigationBarTitleText": "用户协议",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "setting",
          "style": {
            "navigationBarTitleText": "设置",
            "enablePullDownRefresh": false
          }
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/index/welcome": {
      "network": "all",
      "packages": ["modules/common"]
    },
    "pages/index/index": {
      "network": "all",
      "packages": ["modules/index"]
    },
    "pages/my/my": {
      "network": "all",
      "packages": ["modules/my"]
    }
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#F8F8F8",
    "backgroundColor": "#F8F8F8"
  }
}
